# runUtilityHook

Allows the `onUtilityHook` hook to execute. You have the ability to pass any additional parameters.

| Key                 | Type                           | Description                                                                                                                                                                                                                                                                                                                                                               |
| ------------------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| action              | runUtilityHook                 |                                                                                                                                                                                                                                                                                                                                                                           |
| options             | object                         | containing options that are also passed into the FMS hook script                                                                                                                                                                                                                                                                                                          |
| options.hookSetName | <p>string</p><p>(optional)</p> | <p>If passed, will override the default hookSetName (scoped by the page the hook was called from. This key is handy when you want to have a hook run from Page 1 but run a script in the Page 2 handlers. This is also needed if you have global namedActions that calla onUtilityHook, as they are not associated with a specific form.</p><p>Helper File >Ver 0.1.2</p> |
|                     |                                |                                                                                                                                                                                                                                                                                                                                                                           |
|                     |                                |                                                                                                                                                                                                                                                                                                                                                                           |

```yaml
// action  object for 'cllipboard'
[
 {
  "action": "runUtilityHook",
  "options": {
    "type": "save",
    "someKey": "some passed info"
  }
}
]
```

In the above example `type` is an arbitrary key used to parse multiple hook methods from the same page.

You can access the entire action object under the `hookPackage` key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/actions-processor/actions_overview/runutilityhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
